GWT 2.7.0

## com.google.gwt.user.datepicker.client
Class DefaultCalendarView

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.google.gwt.user.datepicker.client.DatePickerComponent
                      com.google.gwt.user.datepicker.client.CalendarView
                          com.google.gwt.user.datepicker.client.DefaultCalendarView

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

    public final class DefaultCalendarView

extends CalendarView

Simple calendar view. Not extensible as we wish to evolve it freely over time.

Nested Class Summary
`(package private) class` | `DefaultCalendarView.CellGrid` Cell grid.

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`DefaultCalendarView()` Constructor.

Method Summary
`void` | `addStyleToDate(java.lang.String styleName, java.util.Date date)` Adds a style name to the cell of the supplied date.
`java.util.Date` | `getFirstDate()` Returns the first date that is currently shown by the calendar.
`java.util.Date` | `getLastDate()` Returns the last date that is currently shown by the calendar.
`boolean` | `isDateEnabled(java.util.Date d)` Is the cell representing the given date enabled?
`void` | `refresh()` Refresh the component.
`void` | `removeStyleFromDate(java.lang.String styleName, java.util.Date date)` Removes a visible style name from the cell of the supplied date.
`void` | `setAriaSelectedCell(java.util.Date date)` Sets aria-selected in the given date's cell and clears the other cells.
`void` | `setEnabledOnDate(boolean enabled, java.util.Date date)` Enables or Disables a particular date.
`void` | `setup()` Set up the component.

Methods inherited from class com.google.gwt.user.datepicker.client.CalendarView
`setHighlightedDate`

Methods inherited from class com.google.gwt.user.datepicker.client.DatePickerComponent
`addMonths, css, getDatePicker, getModel, refreshAll, setDatePicker`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultCalendarView

    public DefaultCalendarView()

  Constructor.

Method Detail

### addStyleToDate

    public void addStyleToDate(java.lang.String styleName,
                               java.util.Date date)

  Description copied from class: `CalendarView`
  Adds a style name to the cell of the supplied date. This style is only set until the next time the `CalendarView` is refreshed.

  Specified by:
    `addStyleToDate` in class `CalendarView`
  Parameters:
    `styleName` - style name to add
    `date` - date that will have the supplied style added

### getFirstDate

    public java.util.Date getFirstDate()

  Description copied from class: `CalendarView`
  Returns the first date that is currently shown by the calendar.

  Specified by:
    `getFirstDate` in class `CalendarView`
  Returns:
    the first date.

### getLastDate

    public java.util.Date getLastDate()

  Description copied from class: `CalendarView`
  Returns the last date that is currently shown by the calendar.

  Specified by:
    `getLastDate` in class `CalendarView`
  Returns:
    the last date.

### isDateEnabled

    public boolean isDateEnabled(java.util.Date d)

  Description copied from class: `CalendarView`
  Is the cell representing the given date enabled?

  Specified by:
    `isDateEnabled` in class `CalendarView`
  Parameters:
    `d` - the date
  Returns:
    is the date enabled

### refresh

    public void refresh()

  Description copied from class: `DatePickerComponent`
  Refresh the component. Usually called because the model's current date has changed. In general, only should be called by `DatePicker`. Use refreshAll() if you need to refresh all components.

  Specified by:
    `refresh` in class `DatePickerComponent`

### removeStyleFromDate

    public void removeStyleFromDate(java.lang.String styleName,
                                    java.util.Date date)

  Description copied from class: `CalendarView`
  Removes a visible style name from the cell of the supplied date.

  Specified by:
    `removeStyleFromDate` in class `CalendarView`
  Parameters:
    `styleName` - style name to remove
    `date` - date that will have the supplied style added

### setAriaSelectedCell

    public void setAriaSelectedCell(java.util.Date date)

  Description copied from class: `CalendarView`
  Sets aria-selected in the given date's cell and clears the other cells.

  Overrides:
    `setAriaSelectedCell` in class `CalendarView`
  Parameters:
    `date` - the date of the cell where aria-selected should be set, or null to clear aria-selected.

### setEnabledOnDate

    public void setEnabledOnDate(boolean enabled,
                                 java.util.Date date)

  Description copied from class: `CalendarView`
  Enables or Disables a particular date. by default all valid dates are enabled after a rendering event. Disabled dates cannot be selected.

  Specified by:
    `setEnabledOnDate` in class `CalendarView`
  Parameters:
    `enabled` - true for enabled, false for disabled
    `date` - date to enable or disable

### setup

    public void setup()

  Description copied from class: `DatePickerComponent`
  Set up the component.

  Specified by:
    `setup` in class `DatePickerComponent`

GWT 2.7.0